paraview (6.0.1+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - now supports external VTK library. Closes: #654839.
      Build with PARAVIEW_USE_EXTERNAL_VTK=ON
      and drop VTK_MODULE_USE_EXTERNAL_VTK* config options.
      Versioned Build-Depends: libvtk9-qt-dev (>= 9.5.2+dfsg3~)
      (also depends on libvtk9-dev, qt6-base-dev)
      Drop python3-paraview Conflicts: python3-vtk9. Closes: #982601
      Add Files-Excluded: VTK to debian/copyright
    - deprecates or applies debian patches GmshIO_signed_char.patch
      and fix_ldflags.patch
    - supports cmake 4. Closes: #1113390
    - runs cleanly on wayland. Closes: #924196
    - supports Python calculator (when python3-paraview is installed)
      Closes: #959677
  * Build-Depends: xsltproc (used by ParaViewClient.cmake)
  * drop Build-Depends: libadios2-mpi-c++11-dev. Adios2 support to be
    provided by external VTK library (PARAVIEW_ENABLE_ADIOS2=ON)
  * drop debian patches for VTK code
      vtk-cmake-findffmpeg-cmake.patch
      fix.patch
      ffmpeg.patch
      xdmf3_32bit.patch
      python3.13_missing_dict_MR11486.diff
      python_iostream_encoding_MR11494.diff
  * configure PARAVIEW_ENABLE_WEB=OFF (don't support paraview in web
    browser) for simpler building
  * generate +dfsg1 upstream source tarball with submodules but
    manually removing VTK subdir (see debian/README.source)
  * update installed files
    - install lib*.so library files in paraview-dev not paraview
    - no longer installs usr/share/vtk-pv*/proj/*
      or python scripts {fv,se}_coprocess.py
    - install usr/share/doc/ParaView/paraview.qch (Qt help file)
      and usr/lib/*/vtk/hierarchy/ParaView
      with the paraview-dev package
  * rebuild fixes Python Script Editor. Closes: #1124759
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Jan 2026 21:02:50 +0100

paraview (5.13.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * run dh_python3 with -V set to a range covering the default python
    version only, to get a versioned dependency on python3
    to facilitate future upgrades of the default python version
    (binNMU in auto-upperlimit-python3 transitions)
    Thanks Adrian Bunk and Colin Watson. Closes: #1093278.
  * drop --no-ext-rename option from dh_python3 override. Python
    extensions should be renamed as usual. The problem supporting
    non-default Python versions is in the libvtk.so libraries they
    link to, not the Python extensions themselves.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Jan 2025 15:51:50 +0100

paraview (5.13.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patch fix_PluginLoader_defines.patch
  * support the default version of python only
    since many libvtk*.so files link to the specific python version
  * new debian patches
    - python3.13_missing_dict_MR11486.diff applies upstream
      MR#11486 to fix segfault with python3.13
    - python_iostream_encoding_MR11494.diff applies upstream MR#11494
      to improve handling of stream encoding

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Jan 2025 23:34:17 +0100

paraview (5.13.1+dfsg-11) unstable; urgency=medium

  * Team upload.
  * replace debian patch plugin_conf_path_no_autoload.patch with patch
    from upstream MR#7152.
    Incorporates unloaded_dir_in_plugin_conf.patch.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Jan 2025 19:48:49 +0100

paraview (5.13.1+dfsg-10) unstable; urgency=medium

  * Team upload.
  * paraview Depends: ${Qtsvg:Depends}, defined in debian/rules to
    provide depenency on the Qt Svg component library (libqt6svg6).
    The Qt Svg library dependency is not detected automatically
    but is needed for labels and icons in the paraview GUI.
    Closes: #1031234

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Dec 2024 08:45:10 +0200

paraview (5.13.1+dfsg-9) unstable; urgency=medium

  * Team upload.
  * debian patch fix_ldflags.patch applies workaround to fix flaw in
    LDFLAGS handling exposed by cmake 3.31. Thanks Brad King from
    Kitware for the patch and analysis of the bug. Closes: #1087764.

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Nov 2024 12:27:26 +0100

paraview (5.13.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * add debian patch unloaded_dir_in_plugin_conf.patch.
    Currently paraview.conf can only specify plugin XML files (which
    provide autoload control). Plugin directories can only be added
    via PV_PLUGIN_PATH (or PARAVIEW_PLUGIN_LOADER_PATHS), but this
    mechanism autoloads plugins. This patch enables extra plugin dirs
    to be provided in paraview.conf, without autoloading the plugins
    they contain.
  * add debian patch plugin_conf_path_no_autoload.patch.
    Provide PARAVIEW_PLUGIN_CONF_EXTRA_PATHS cmake variable.
    Defines extra paths which are listed in the plugin configuration
    file, without autoloading found plugins.
    This is analogous to the PARAVIEW_PLUGIN_LOADER_PATHS variable
    (which autoloads found plugins in the Plugin Manager).
  * set PARAVIEW_PLUGIN_CONF_EXTRA_PATHS not
    PARAVIEW_PLUGIN_LOADER_PATHS in debian/rules configuration to
    make third-party plugins in /usr/share/paraview/plugins available
    without autoloading.

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Oct 2024 11:19:07 +0100

paraview (5.13.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * fix debian patch conffile_libdir.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 20:14:45 +0200

paraview (5.13.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * update debian patch conffile_libdir.patch to stringize
    preprocessor define PARAVIEW_LIBDIR to set as LibDir, see
    https://gcc.gnu.org/onlinedocs/cpp/Stringizing.html

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 18:16:29 +0200

paraview (5.13.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * fix debian patch plugin_dir_not_bin.patch to only add
    $appDir/plugins (i.e. /usr/bin/plugins) if that plugin dir exists.
  * update debian patch conffile_libdir.patch to define boolean option
    PARAVIEW_CONF_IN_LIBDIR (not PARAVIEW_LIB_SUBDIR) to determine
    whether or not to place the conf file in the libdir. Default OFF
    for current upstream behaviour, debian sets
    PARAVIEW_CONF_IN_LIBDIR=ON. Set (with version) early in
    CMakeFiles.txt before adding Remoting.

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 15:20:47 +0200

paraview (5.13.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * drop in-app docs (paraview.qch) from paraview-doc, since they
    cannot be generated by Qt6, see Clients/ParaView/CMakeLists.txt and
    https://gitlab.kitware.com/paraview/paraview/-/issues/19742
    Install README.md and Documentation/release so paraview-doc at
    least contains something. Demote dependency to
    paraview Suggests: paraview-doc not Recommends.
  * debian patch conffile_libdir.patch defines option
    PARAVIEW_LIB_SUBDIR as the paraview library subdir in which plugins
    are installed and installs the plugin conffile there instead of
    the executable dir /usr/bin. Enables plugins to be found by the
    Plugin Manager. Previously we were blocking the conffile from
    installation in /usr/bin so plugins were not found.
    See troubleshooting in upstream Issue#22642.
  * debian patch fix_PluginLoader_defines.patch fixes Remoting/Core
    CMakeFiles.txt to use set_property to append defines for
    vtkPVPluginLoader.cxx, otherwise its existing BUILD_SHARED_LIBS
    value is wiped by set_source_files_properties.

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Oct 2024 12:16:21 +0200

paraview (5.13.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Build-Depends: qt6-5compat-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Oct 2024 10:24:53 +0200

paraview (5.13.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * configure PARAVIEW_PLUGIN_LOADER_PATHS to show
    /usr/share/paraview/plugins (for arch/version-independent plugins)
    and /usr/lib/*/paraview-*/plugins/ in the Plugin Manager.
    Not clear why the latter do not already appear, see
    https://gitlab.kitware.com/paraview/paraview/-/issues/22642
  * debian patch plugin_dir_not_bin.patch only adds $appDir/plugins
    to the plugin search path if it exists. It should not exist
    (appDir is the executable dir, /usr/bin). Closes: #952390.
  * build with Qt6.
    Build-Depends: qt6-base-dev, qt6-svg-dev, qt6-tools-dev,
    qt6-tools-dev-tools, qt6-tools-private-dev, libqt6sql6-sqlite

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Oct 2024 04:46:56 +0200

paraview (5.13.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patch logparser_regex_esc-MR7002.patch

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Oct 2024 20:17:46 +0200

paraview (5.13.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch syntax_warnings_MR6932.patch
  * versioned Build-Depends: libadios2-mpi-c++11-dev (>= 2.10~)
  * install all vtk utilities usr/bin/vtk*-pv* in paraview package.
    Don't install usr/bin/vtkWrapClientServer* in paraview-dev.
    paraview Breaks/Replaces: paraview-dev (<< 5.13~)
  * drop unused debian patches
    py3.patch vtk-fix.patch reproducible.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Oct 2024 20:40:21 +0200

paraview (5.12.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * debian patch xdmf3_32bit.patch enables XDMF3 support on 32-bit
    systems. See https://stackoverflow.com/a/1505839/12401525
    Keep xdmf3 support deactivated on mips64el.
    Closes: #1071700.
  * add debian patches to avoid syntax warnings. Closes: #1072959.
    - logparser_regex_esc-MR7002.patch applies upstream MR#7002 to fix
      regex escape codes
    - syntax_warnings_MR6932.patch applies upstream MR#6932 to fix
      regex in smtrace.py
    - syntax_warnings.patch applies raw r prefix to other stray regexes
      and uses '==' not 'is' to test string equality

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2024 17:13:39 +0200

paraview (5.12.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Build-Depends: libhdf5-mpi-dev
    Don't hardcode MPI implementation for HDF5, use the default.
    (OpenMPI no longer supports 32-bit architectures)

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Sep 2024 14:39:48 +0200

paraview (5.12.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * follow the example of vtk9 (MR#1) and link -latomic on armel
    and other (32-bit) arches that need it. Closes: #1072939.
  * skip xdmf3 support on mips64el
    (gives "relocation truncated" errors)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Jun 2024 11:56:07 +0200

paraview (5.12.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * skip xdmf3 support on i386 (and other 32-bit arches), which fail
    due to changes in int handling. See Bug#1071700.

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Jun 2024 14:37:16 +0200

paraview (5.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch VTK_XML_append_with_newer_expat.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jun 2024 22:38:22 +0200

paraview (5.12.0+dfsg-4) experimental; urgency=medium

  * Team upload.
  * provide all installed paraview cmake files in paraview-dev

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 May 2024 01:03:36 +0200

paraview (5.12.0+dfsg-3) experimental; urgency=medium

  * Team upload.
  * don't hardcode version in debian install scripts

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 May 2024 22:03:23 +0200

paraview (5.12.0+dfsg-2) experimental; urgency=medium

  * Team upload.
  * explicitly switch off cmake BUILD_TESTING. No build tests were
    found in previous versions, and the new single Cxx test set from
    plugins/DigitalSignalProcessing (Plugins/DSP) fails.

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 May 2024 18:52:50 +0200

paraview (5.12.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patches adios2_v2.9_*.diff
      g++13.patch, vector-header.patch
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 May 2024 23:59:00 +0200

paraview (5.11.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/tests: stop running tests on s390x (see Bug#1071518)

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 May 2024 01:48:57 +0200

paraview (5.11.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian patch VTK_XML_append_with_newer_expat.patch applies
    upstream patch (vtk9 09_newer_expat.patch) to re-enable handling
    of appended data. See Bug#1064762. Closes: #1065270.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 May 2024 21:30:46 +0200

paraview (5.11.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * drop Depends: python3-autobahn, python3-six, python3-twisted
    also from the paraview binary package.

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jan 2024 16:09:30 +0100

paraview (5.11.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * drop Build-Depends: python3-autobahn, python3-twisted.
    Use of autobahn/twisted was dropped upstream in MR1630 (v5.4.0)
    in favour of wslink. Note Debian does not provide wslink, so no
    webserver communication via paraview.
  * drop deprecated Build-Depends: python3-six.
  * paraview-dev Depends: libgdal-dev. Closes: #754968.
    Needed by cmake config files for find_package(ParaView).

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 13:14:15 +0100

paraview (5.11.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian patch GmshIO_signed_char.patch sets GmshPrimitive as
    signed char to enable a negative value (-1) to represent
    unsupported cell types, since char is unsigned on many
    architectures (arm64 etc). See upstream issue #22413.

 -- Drew Parsons <dparsons@debian.org>  Thu, 07 Dec 2023 12:04:48 +0100

paraview (5.11.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * add wildcards to lintian override for json-evil to work around a
    broken ftp-master configuration, which does not respect the current
    lintian syntax
  * debian/copyright: distinguish main paraview BSD-3-clause licence
    (naming Kitware) from VTK BSD-3-clause licence (naming Ken Martin,
    Will Schroeder, Bill Lorensen)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Dec 2023 16:05:58 +0100

paraview (5.11.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * add lintian override for license-problem-json-evil. The
    problematic source with the JSON licence would be
    bin/jsonchecker/, but it has already been removed from vtkfides
    source.
  * lintian fixes
    - add real alternative in Build-Depends: gnuplot-qt | gnuplot
    - fix vtkexpat Copyright entry in debian/copyright and update
      other entries

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Dec 2023 22:54:48 +0100

paraview (5.11.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - upstream source tarball prepared manually to include submodules
      (copy of VTK source). See debian/README.source
  * Add support for Adios2 (PARAVIEW_ENABLE_ADIOS2=ON)
    - 64-bit architectures only
    - Build-Depends: libadios2-mpi-c++11-dev
    - point the cmake search path at the mpi variant of Adios2
    - add debian/patches/adios2_v2.9_*.diff applying patches from
      upstream VTK git repo enabling build with adios2 v2.9
  * Enable GmshIO plugin for reading gmsh files. Closes: #1054159.
    - Build-Depends: libgmsh-dev

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Dec 2023 23:45:45 +0100

paraview (5.11.0+dfsg-2) unstable; urgency=medium

  * Drop build-dep on libnetcdf-cxx-legacy-dev: Closes: #1037814
  * g++-13.patch:  FTBFS with g++ 13. Closes: #	1038602
  * Srandards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Aug 2023 16:11:56 +0100

paraview (5.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update build-dep: libfreetype6-dev -> libfreetype-dev
  * Drop sqlite.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Jan 2023 11:41:21 +0000

paraview (5.11.0~rc1+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #1010027, #1014787
    Closes: #998119, #1017349, #641839
  * Build -O0 to avoid segfaults in c++
  * Not shipping some catalyst files
  * Standards-Version: 4.6.1
  * Point vcs-git: to debian/latest branch
  * Include patch from Vagrant Cascadian for reproducibility. 
    Closes: #983584
  * F3D packaged by François Mazen. Closes: #962728
  * Closing bug fixed in upstream, Closes: #985009
  * Lintian: drop dep on python3-minimal in favour of python3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Aug 2022 10:47:18 +0100

paraview (5.10.1-2) unstable; urgency=medium

  * Team upload.
  * [385aa69] Fix FTBFS against new NETCDF. (Closes: #1012663)
  * [9ea37d0] Fix FTBFS against new ffmpeg. (Closes: #1004817)

 -- Anton Gladky <gladk@debian.org>  Wed, 29 Jun 2022 06:28:23 +0200

paraview (5.10.1-1) unstable; urgency=medium

  * New upstream release
    - sqlite3.patch for sqlite path
    - fix for vtk mpi
    - vector.patch for mising header
  * Build-dep on libgdal-dev
  * Set -DVTK_MODULE_USE_EXTERNAL_VTK_theora=On
  * paraview-dev deps on python3 | python3-minimal
  * set ENABLE_WEB=On. Closes: #1001464
  * Don't depend on PDAL. Clases: #1007129, #1006910
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Apr 2022 13:01:36 +0100

paraview (5.10.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Fix ffpmeg cmake module. Closes: #995791
  * Disable Visitbrige in this release
  * Now include libcatalyst*.so 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Nov 2021 15:33:30 +0000

paraview (5.9.0-2) unstable; urgency=medium

  * Ship vtkmodules. This makes python3-paraview conflict with python3-vtk9,
    Closes: #981891
  * Ship paraview-config in paraview-dev pkg

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Feb 2021 13:26:25 +0000

paraview (5.9.0-1) unstable; urgency=medium

  * New upstream release. Closes: #976128, #959387, #976132
  * Ack. bug fixed/obsoleted by new version: Closes: #893735
  * Re-enable gl2ps
  * use Parallel HDF5
  * Build-dep on libopengl-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Jan 2021 09:53:39 +0000

paraview (5.9.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Don't ship files that are in vtk. Closes: #975004
  * Remove obsolete patches:
    - 0001-ENH-Changes-needed-to-support-Qt-5.11.patch
    - 0001-Fix-StreamLinesRepresentation-plugin-documentation-i.patch
    - disable-local-FindMPI.patch
    - fix_gl2ps_new.patch
    - fix_manpages_errors.patch
    - fix_opengl_arm.patch
    - is-literal.patch
    - override-fix.patch
    - python3.8.patch
    - python3-exact.patch
    - python3-exec-versions.patch
    - reduce_cmake_error.cmake
    - remove_webgl.patch
    - security-format.patch
    - use_system_mpi4py.patch
    - use_system_utf8.patch
    - vtk-cmake-findffmpeg-cmake.patch
    - vtk-exodusII-gcc10.patch
  * Temporarily drop ADIOS support until it builds correctly (see #972420)
  * Move to debhelper compat 13
  * Update installed files, adding d/not-installed
  * Set paraview to Recommend: python3-paraview. Closes: #952382
  * Use dh-sequence-python3, drop --with python in d/rules
  * Add build-dep on libxcursor-dev, libqt5svg5-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Nov 2020 12:46:30 +0000

paraview (5.7.0-5) unstable; urgency=medium

  * Fixed bugs in paraview-dev and python3-paraview package. Closes #959387.
    Thanks to Jakob Meng.
  * Fix for FTBFS with gcc-10, thanks to Jakob Meng. Closes: #957660

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Aug 2020 10:26:25 +0100

paraview (5.7.0-4) unstable; urgency=medium

  [ Gilles Filippini ]
  * New patch libatomic.patch: tentative fix for FTBFS on armel and mipsel.
    Closes: #947280
  * Hard-code Build-Dep on python3.8-dev. This wasn't being pulled in correctly
    leading to FTBFS. Closes: #946758

  [ Alastair McKinstry ]
  * python vtk now works. Closes: #823529
  * Fix warnings with 'is' and literals in python3.8+

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Dec 2019 16:21:57 +0000

paraview (5.7.0-3) unstable; urgency=medium

  * Hard-code Build-Dep on python3.8-dev. This wasn't being pulled in correctly
    leading to FTBFS.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Dec 2019 09:16:00 +0000

paraview (5.7.0-2) unstable; urgency=medium

  * Rename paraview-python to standard python3-paraview. Closes: #944324
  * paraview-doc now Multi-Arch: foreign
  * Disable OpenGL features that are not available on Arm to 
    fix FTBFS. Closes: #944353
  * Update options thanks to Mathieu Westphal:
  * Now include PDAL support. Depend on libpdal-dev
  * Now include LZ4 support. Depend on liblz4-dev
  * Run autopkgtest with python3. Closes: #944533
  * Include vtkmodules in python3-paraview. Closes: #944582
  * Change paraview-dev dep from Qt4-dev-tools to qt5tools-dev-tools
  * Drop unnecessary deps on python3, python3-vtk in python3-paraview
  * python3.8.patch: Update mpi4py.MPI.c with latest cython for python3.8

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Nov 2019 18:31:26 +0000

paraview (5.7.0-1) unstable; urgency=medium

  * New upstream release. Closes: #875086, #937239
   -  This release contains vendored third-party libraries
      until vtk8 packaged
  * Use debhelper-compat (=12 )
  * Add ${python3:Depends} in paraview
  * Standards-Version: 4.4.1.0
  * Update install paths

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Oct 2019 21:23:40 +0100

paraview (5.4.1+dfsg4-4) unstable; urgency=medium

  * Team upload.
  * [64c0c0d] Trim trailing whitespace.
  * [bcf3d00] Use secure URI in Homepage field.
  * [c5cb7ab] Add Alastair as an uploader.
  * [5119941] Fix indents.

 -- Anton Gladky <gladk@debian.org>  Sat, 10 Aug 2019 10:24:34 +0200

paraview (5.4.1+dfsg4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream FTBFS fixes, thanks to Juhani Numminen.
    (Closes: #906714)
  * Remove tcl8.5 as first dependency alternative. (Closes: #905980)

 -- Adrian Bunk <bunk@debian.org>  Mon, 17 Sep 2018 19:59:09 +0300

paraview (5.4.1+dfsg4-3) unstable; urgency=medium

  * Team upload
  * d/p/disable-local-FindMPI: fix FTBS with latest openmpi
  * d/ruled: Remove forced MPI include path, it is no longer valid

 -- Gert Wollny <gewo@debian.org>  Sun, 22 Apr 2018 12:35:56 +0200

paraview (5.4.1+dfsg4-2) unstable; urgency=medium

  * Team upload.
  * [bd12fc4] d/p/fix_opengl_arm: use Extra OpenGL functions
    Closes: #893735

 -- Gert Wollny <gewo@debian.org>  Fri, 23 Mar 2018 22:47:21 +0000

paraview (5.4.1+dfsg4-1) unstable; urgency=medium

  * Team upload.
  * [a7b9430] New upstream version 5.4.1+dfsg4
  * [117a771] Use backend OpenGL2
  * [c5d2240] d/p/fix_gl2ps Update OpenGL2 backend
  * [145a06f] d/rules: Switch to qt5
  * [a7aaa49] d/control: Switch to qt5
  * [fa81501] d/copyright: remove duplicate BSD-3-clause section
  * [033db76] d/source: Add some overrides for the package

 -- Gert Wollny <gewo@debian.org>  Thu, 15 Mar 2018 19:02:28 +0100

paraview (5.4.1+dfsg3-2) unstable; urgency=medium

  * Team upload.

  [ Gert Wollny ]
  * [d289ee3] d/copyright: update copyright based on the ftp-master comments for vtk7

  [ Anton Gladky ]
  * [e9be492] Remove deprecated Testsuite-field
  * [4952ac8] Set compat level to 11
  * [f2d150a] Set priority optional
  * [f122067] Set Standards-Versions: 4.1.3
  * [c19be5e] Update VCS-fields
  * [762408d] Apply cme fix dpkg
  * [c1cfeae] Remove myself from uploaders

 -- Anton Gladky <gladk@debian.org>  Wed, 07 Mar 2018 21:00:16 +0100

paraview (5.4.1+dfsg3-1) unstable; urgency=medium

  * [de478ff] Use packaged protobuf version

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Sep 2017 23:30:47 +0200

paraview (5.4.1+dfsg2-1) unstable; urgency=medium

  * [14b8c44] Drop embedded version of cgns

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Sep 2017 18:25:02 +0200

paraview (5.4.1+dfsg1-1) unstable; urgency=medium

  * [663aeb8] New upstream version 5.4.1+dfsg1
  * [df8c7f2] Refresh patches
  * [6c0e2d3] Some minor changes in d/rules and install files
  * [2dd50c2] Remove libqtwebkit-dev from build-depends. (Closes: #784505)
  * [546b2fd] Remove Christophe from uploaders. (Closes: #835002)
  * [e3a8012] Update d/copyright

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Sep 2017 08:51:19 +0200

paraview (5.1.2+dfsg1-2) unstable; urgency=medium

  * [685eed3] Replace libmysqlclient-dev by default-libmysqlclient-dev.
              (Closes: #845887)

 -- Anton Gladky <gladk@debian.org>  Wed, 11 Jan 2017 20:55:46 +0100

paraview (5.1.2+dfsg1-1) unstable; urgency=medium

  * [482f42d] Imported Upstream version 5.1.2+dfsg1
  * [685053a] Refresh patches.
  * [f0d0b59] Set VTK_RENDERING_BACKEND OpenGL.

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Aug 2016 21:20:07 +0200

paraview (5.1.0+dfsg1-1) unstable; urgency=medium

  * [ab2bcf8] Update d/copyright.
  * [9579b0c] Imported Upstream version 5.1.0+dfsg1. (Closes: #812282)
  * [f0f4b57] Refresh patches.
  * [d19b1a0] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Tue, 05 Jul 2016 21:22:45 +0200

paraview (5.0.1+dfsg1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-* by including the required headers not only on
    linux but also on kfreebsd. (Closes: #822266) While on it, also do that
    for hurd.

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Apr 2016 16:55:06 +0200

paraview (5.0.1+dfsg1-5) unstable; urgency=medium

  * [ad5f3f0] Fix FTBFS against ffmpeg_3.0. (Closes: #821419)

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Apr 2016 21:11:49 +0200

paraview (5.0.1+dfsg1-4) unstable; urgency=high

  * [7451182] Roll back to Qt4. (Closes: #821091)
  * [b77e3ee] Build documentation. (Closes: #820455)

 -- Anton Gladky <gladk@debian.org>  Sat, 16 Apr 2016 01:01:02 +0200

paraview (5.0.1+dfsg1-3) unstable; urgency=medium

  [ Graham Inggs ]
  * [5bb46bd] Fix typo in dependencies of paraview-dev. (Closes: #820448)

 -- Anton Gladky <gladk@debian.org>  Fri, 08 Apr 2016 17:21:49 +0200

paraview (5.0.1+dfsg1-2) unstable; urgency=medium

  * [2a1316c] Add missing build-dependency libqt5sql5-sqlite.

 -- Anton Gladky <gladk@debian.org>  Thu, 07 Apr 2016 19:49:59 +0200

paraview (5.0.1+dfsg1-1) unstable; urgency=medium

  * [b3f3619] Use dpkg-buildflags. Should fix reproducibility.
  * [839465d] Fix typo in d/copyright.
  * [55f10bf] Imported Upstream version 5.0.1+dfsg1
  * [8c95453] Refresh patches.
  * [5d50cf5] Switch to Qt5. (Closes: #784505)
  * [18c7f23] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Wed, 06 Apr 2016 20:20:29 +0200

paraview (5.0.0+dfsg1-2) unstable; urgency=medium

  * [5c5f581] Add some more python-deps.

 -- Anton Gladky <gladk@debian.org>  Fri, 05 Feb 2016 09:54:29 +0100

paraview (5.0.0+dfsg1-1) unstable; urgency=medium

  * [e3b6c88] Imported Upstream version 5.0.0+dfsg1
  * [97c9d00] Exclude some more files from the source.
  * [476cd3b] Disable MobileRemoteControl plugin
  * [40ef100] Add lebxdmf-dev to build-depends.
  * [f511d89] Update patches, remove applied by upstream.
  * [b6eeb8e] Update patch description.
  * [89b2ca9] Update install-files.
  * [d85222d] Tiny changes in d/rules.
  * [a6252e2] Use packaged version of some libs instead of embedded.
  * [bda2d81] Remove doc-base file
  * [9decaa5] Use DEP3 for utf8-patch.
  * [d059f30] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Thu, 04 Feb 2016 22:51:08 +0100

paraview (4.1.0+dfsg+1-3) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * [53ca345] Replace deprecated FFmpeg API. (Closes: #803852)

  [ Anton Gladky ]
  * [ff45e72] Fix rescale over time. (Closes: #766406)
  * [b909a2d] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sun, 10 Jan 2016 13:53:22 +0100

paraview (4.1.0+dfsg+1-2) unstable; urgency=medium

  * [151d46f] Fix FTBFS against new freetype. (Closes: #783842)
  * [0065768] Install missing files in paraview-dev. (Closes: #783797)

 -- Anton Gladky <gladk@debian.org>  Tue, 05 May 2015 19:17:31 +0200

paraview (4.1.0+dfsg+1-1) unstable; urgency=medium

  * [130e468] Add python-matplotlib into Depends. (Closes: #761297)
  * [183704d] Fix FTBFS against new libjpeg. (Closes: #765939)
  * [1b234ad] Use dh_python2 instead of python-support in BD.
  * [8dea743] Update d/copyright. Remove all chm-files, fix lintian warnings.
  * [e42b9b1] Imported Upstream version 4.1.0+dfsg+1

 -- Anton Gladky <gladk@debian.org>  Mon, 20 Oct 2014 21:02:42 +0200

paraview (4.1.0+dfsg-3) unstable; urgency=medium

  * [65f37ce] Fix compilation with gcc-4.9. (Closes: #746896)
  * [7e62a21] Set canonical VCS-field.

 -- Anton Gladky <gladk@debian.org>  Fri, 30 May 2014 23:38:07 +0200

paraview (4.1.0+dfsg-2) unstable; urgency=medium

  * [31735d4] Fix FTBFS on many platforms in KWSYS. (Closes:#748889)

 -- Anton Gladky <gladk@debian.org>  Fri, 23 May 2014 19:47:25 +0200

paraview (4.1.0+dfsg-1) unstable; urgency=medium

  * [ce4eead] Set Standards-Version: 3.9.5. No changes.
  * [79bc66d] Update install files for new 4.1.0 release.
  * [ab1b49a] Update debian/copyright to DEP-5.
  * [a776028] Update watch-file to GitHub.
  * [375de62] Imported Upstream version 4.1.0+dfsg
  * [5bea70a] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 19 May 2014 21:28:12 +0200

paraview (4.0.1+dfsg-2) unstable; urgency=medium

  [ Anton Gladky ]
  * [53e8b0f] Set Standards-Versions: 3.9.5. No changes.
  * [be39e23] Set canonical VCS.

  [ Sebastian Ramacher ]
  * [89cd375] debian/patches/fix_libav10.patch: Make it actually build
              against libav10. (Closes: #739434)
  * [b3982bb] debian/control: Bump B-D on libavcodec-dev to >= 6:9 to
              make sure AVCodecID and AV_CODEC_* constants are available.

 -- Anton Gladky <gladk@debian.org>  Wed, 14 May 2014 22:10:10 +0200

paraview (4.0.1+dfsg-1) unstable; urgency=medium

  [ Christophe Trophime ]
  * [c20bad7] Add missing file from install
              (needed to install salome-paravis for instance).

  [ Anton Gladky ]
  * [0f6c102] Imported Upstream version 4.0.1+dfsg
  * [f4ccb4e] Fix libav10 compilation. (Closes: #739434)
  * [9e0766d] Replace "viewer" by "client" in desktop-file. (Closes: #718252)

 -- Anton Gladky <gladk@debian.org>  Thu, 13 Mar 2014 19:58:40 +0100

paraview (4.0.1-1) unstable; urgency=low

  * [8b91fed] Use packages eigen3 instead of embedded.
  * [7539caf] Bump Standards-Version: 3.9.4. No changes.
  * [c9b1653] Use system packaged json instead of embedded.
  * [90ff2d4] Imported Upstream version 4.0.1
  * [f084d7f] Override rpath-issue in pvpython. Seems the issue in the cmake.
  * [7567e81] Override library-not-linked-against-libc. Seems due
              to --as-needed option.

 -- Anton Gladky <gladk@debian.org>  Mon, 17 Jun 2013 23:00:03 +0200

paraview (4.0.0~rc1-1) unstable; urgency=low

  [ Anton Gladky ]
  * [139fbb1] Update email.
  * [70b36d7] Imported Upstream version 4.0.0~rc1
  * [a9c43ce] Remove applied by upstream patch.
  * [9a0ff86] Enable FFMPEG-support.
  * [036f281] Fix compilation against FFMPEG.

  [ Mathieu Malaterre ]
  * Remove self from maint list
  * Remove deprecated DMUA flag

 -- Anton Gladky <gladk@debian.org>  Fri, 24 May 2013 22:29:19 +0200

paraview (3.98.2~git201306024.904e8ad-1~exp1) experimental; urgency=low

  * [5a831f3] Remove useless links. (Closes: #696637)
  * [1215b9e] Remove some patches.
  * [495c493] Imported Upstream version 3.98.2~git201306024.904e8ad.
              (Closes: #697347)

 -- Anton Gladky <gladk@debian.org>  Thu, 02 May 2013 21:53:52 +0200

paraview (3.98.0-1~exp1) experimental; urgency=low

  * [f77524a] Imported Upstream version 3.98.0

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 03 Dec 2012 23:45:25 +0100

paraview (3.98~rc3-1~exp1) experimental; urgency=low

  * [65ee5c1] Remove qt4-dev-tools from Depends of paraview.
              Thanks to Torquil Macdonald Sørensen <torquil@gmail.com>
  * [ec2f02b] Imported Upstream version 3.98~rc3
  * [4f57393] Update/remove patches.
  * [e48acbc] Add mpi-default-bin to Build-Depends
  * [2951b8b] Update watch-file. Thanks to Bart Martens <bartm@debian.org>.
  * [100ae82] Remove obselete flag DM-Upload-Allowed.
  * [15fe78e] Override rpath-issue. Seems the problem somewhere
              in cmake or openmpi.
  * [1feabd0] Install Book.
  * [8a4b47b] Install plugins into the correct place.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 26 Nov 2012 19:43:17 +0100

paraview (3.14.1-7) unstable; urgency=low

  [ Anton Gladky ]
  * [fd77b28] Add missing epoch in libavformat-dev version.
              Thanks to Jakub Wilk.
              http://lists.debian.org/debian-devel/2012/07/msg00086.html
  * [155d23c] Use compat 9 to harden buildflags.
  * [bdef31b] Add -Wall -pedantic -Wl,--as-needed to buildflags.

  [ Julien Cristau ]
  * [8feb118] Restrict shlibs to depend on the upstream version.
              (Closes: #680359)

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 13 Jul 2012 20:56:41 +0200

paraview (3.14.1-6) unstable; urgency=low

  * [6183021] Install ParaViewUse.cmake.
  * [d986588] Install *.xsl files into cmake-directory.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 19 Jun 2012 21:08:22 +0200

paraview (3.14.1-5) unstable; urgency=low

  * [4b21168] Fix installation of cmake-files. (Closes: #677492)

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 16 Jun 2012 15:13:50 +0200

paraview (3.14.1-4) unstable; urgency=low

  * [4c779aa] Tough version of libqtwebkit-dev (>=2.2.1). (Closes: #672716)
  * [6e40327] Use compat-version 8.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 13 May 2012 22:57:04 +0200

paraview (3.14.1-3) unstable; urgency=low

  * [cfe1177] Fix FTBFS against gcc-4.7. (Closes: #672037)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 08 May 2012 18:50:16 +0200

paraview (3.14.1-2) unstable; urgency=low

  * [c746c1f] Install usr/lib/paraview/pvpython. (Closes: #671753)
  * [d04f9a0] Fix FTBFS against boost 1.49.
  * [1558d81] Use libboost-all-dev instead of hardcoded 1.48 version.
  * [66163b1] Use Standards-Version: 3.9.3. No changes.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 07 May 2012 19:12:52 +0200

paraview (3.14.1-1) unstable; urgency=low

  * [726d949] Imported Upstream version 3.14.1
  * [faf22f8] Use Standards-Version: 3.9.3, no changes.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 07 Apr 2012 11:12:14 +0200

paraview (3.14.0-1) unstable; urgency=low

  * [821685f] Imported Upstream version 3.14.0
  * [a35cc48] Update patches.
  * [e04e98a] Remove fix_memory_animation_leak.patch. Applied by upstream.
  * [6ca32d8] Remove fix_boost-1.48_compilation.patch. Fixed by upstream.
  * [7252874] Add libqtwebkit-dev to BD, needed for build.
  * [289cf74] Update version numbers, where it hardcoded.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 24 Feb 2012 21:03:01 +0100

paraview (3.12.0-4) unstable; urgency=low

  * [e3cb27f] Remove man-pages, which are related to python-vtk and
              paraview-python. (Closes: #657797)
  * [b34a3ab] Remove man-pages, which are related to libvtk5-dev and
              paraview-dev. (Closes: #657794)

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 28 Jan 2012 23:00:34 +0100

paraview (3.12.0-3) unstable; urgency=low

  * [59afb75] Remove files from paraview-python, which are conflicting
              with python-vtk.
  * [c30e764] Replace libhdf5-mpi-dev on libhdf5-dev in BD.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 27 Jan 2012 21:16:14 +0100

paraview (3.12.0-2) unstable; urgency=low

  * [5041c41] Make  hdf5-transition (>= 1.8.8).

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 22 Jan 2012 19:46:40 +0100

paraview (3.12.0-1) unstable; urgency=low

  * [ef4c675] Imported Upstream version 3.12.0
  * [57d464c] Remove stddef_ptrdiff.patch. Applied by upsteam
  * [c2db80a] Remove hange_std_parameter_for_compiler.patch.
              Upsteam probably fixed that.
  * [8feea33] Fix FTBFS with boost 1.48
  * [373810b] Use boost 1.48 instead of default version.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 22 Dec 2011 19:58:22 +0100

paraview (3.10.1-10) unstable; urgency=medium

  * [432acb9] Fix memory leak during animation export.
  * [7bb111a] Fix FTBFS due to strict-aliasing.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 15 Dec 2011 18:49:41 +0100

paraview (3.10.1-9) unstable; urgency=high

  * [dac6a6f] Remove vtkEncodeString from paraview-dev. (Closes: #651369)
  * [94757b2] Remove vtkWrapHierarchy from paraview-python. (Closes: #651544)

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 09 Dec 2011 23:20:24 +0100

paraview (3.10.1-8) unstable; urgency=low

  * [9cc7b9e] Place python-modules into correct places via symlinks.
              (Closes: #576837)
  * [42cd8ac] Hardening python-depends.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 30 Oct 2011 14:25:05 +0100

paraview (3.10.1-7) unstable; urgency=low

  [ Mathieu Malaterre ]
  * [465d4bc] Remove XB-Python-Version line, as per dh_python2 policy.
              (Closes: #643982)
  * [35324f0] Remove CMake release flag.
  * [cbf5c3e] Rely on mpi compiler to detect mpi installation.
  * [60cc610] Make sure to compile with openmpi.

  [ Anton Gladky ]
  * [c9b74a2] Fix FTBFS "format not a string literal and no format arg".

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 08 Oct 2011 20:23:55 +0200

paraview (3.10.1-6) unstable; urgency=low

  [ Mathieu Malaterre ]
  * [948a543] Changes to d/control:
              - remove chrpath not required anymore from B-D.
              - remove libgl2ps0 from B-D.
              - update version for libavformat-dev (libav transition).
              - remove qt4-dev-tools from paraview client package recommends.
              - paraview-dev is any not all.
              - add XB-Python-Version to paraview-python.
  * [34c442d] d/rules changes:
              - Add --parallel flags.
              - Remove -lXt from global C*FLAGS.
              - Add doc for CMAKE_SKIP_RPATH value to OFF.
              - Explicitly set MPI libs values.
              - Activate AdiosReader & EyeDomeLighting plugin.
  * [ddb7bf9] Remove BUILDDIR in debian/rules for simplification.
  * [c08591a] *.install files: shuffle things to split into client and
              dev package. (Closes: #640195)
  * [b8874d3] Fix building of vtkXdmf: missing -lXt on link line.
  * [c80f0f3] Import patch from VTK to remove sqlite.
  * [ff19b7e] Split documentation into qch and HTML. Fix lintian reports.
  * [16bdc77] Fix issue with kwProcessXML. (Closes: #640305)
  * [f3d92a5] Add patch for installing html doc.

  [ Anton Gladky ]
  * [6d6c88a] Use DEP-3 for patches.
  * [b952a7a] Add lintian-overrides for paraview-python.
  * [c8bfc6a] Move html-docs into paraview-doc.
  * [3b774f5] Reshuffle manpages according to binaries.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 15 Sep 2011 22:13:23 +0200

paraview (3.10.1-5) unstable; urgency=low

  * [c75b9bf] Fix FTBFS with libav/0.7.1.
    Thanks to Moritz Mühlenhoff <jmm@inutil.org>. (Closes: #638246)

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 03 Sep 2011 19:34:04 +0200

paraview (3.10.1-4) unstable; urgency=low

  * [cb824b2] Revert hurd-i386 restriction, because it does not help to
              resolve BD-problems for this platform.
  * [2e250a5] Use packaged-HDF5. Hopefully fixes FTBFS on mipsel and sparc.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 31 Aug 2011 18:01:19 +0200

paraview (3.10.1-3) unstable; urgency=low

  * [e5cb2e3] Put pvpython, vtkWrapPython, vtkWrapPythonInit into
              paraview-python binary. (Closes: #637397)
  * [0dd738f] Remove mpi-default-dev from BD for hurd-i386. Hopefully
              fixes FTBFS on this platform.
  * [2293398] Add gl2ps library and headers to BD. VTK_USE_SYSTEM_GL2PS
              is on (should use system`s gl2ps-library). (Closes: #638797)
  * [8696bbf] Make paraview-python arch-dependend because of binaries.
  * [9e50716] Add ${shlibs:Depends} to depends of paraview-python.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 28 Aug 2011 09:33:24 +0200

paraview (3.10.1-2) unstable; urgency=low

  * [27f6ded] Split paraview into paraview and paraview-python.
              (Closes: #637397)
  * [ea0f0df] Add paraview-python in "Recommends" section of paraview.
  * [19d9bc5] Fix FTBFS on KFreeBSD, changing -std=c99 parameter on -std=gnu99.
  * [25e3fe9] Fix BD-problem on hurd-i386, deleting libhdf5-mpi-dev from BD.
  * [f9c008d] Make paraview-python and paraview-doc architecture independent.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 13 Aug 2011 15:49:29 +0200

paraview (3.10.1-1) unstable; urgency=low

  [ Mathieu Malaterre ]
  * [a111d9b] Fix compilation on gcc 4.6. (Closes: #625055)

  [ Anton Gladky ]
  * [e88f820] Imported Upstream version 3.10.1. (Closes: #619270)
  * [4e6920c] Switch to 3.0 (quilt).
  * [f94868b] Update build-depends.
  * [b407944] Switch to Standards-Version: 3.9.2 (no changes).
  * [03177f7] Switch to dh 7.
  * [63c1c38] Change VCS-fields to git.
  * [82dd5e9] Enable Ogg/Theora. (Closes: #616549)
  * [0cc8ce1] Divide binary-library and development files. (Closes: #528615)
  * [42b2c6b] Fix lintian warning in control-file.
  * [6d564e4] Add paraview-doc binary. Rename libparaview-dev to
      paraview-dev. (Closes: #587504)
  * [7516e41] Add .links file to prevent images file being in /usr/lib.
  * [88a5551] Fix warnings in manpages.
  * [729c6cf] Add myself to uploaders.
  * [41db40f] Add lintian-overrides to block unresolvable errors.
  * [a0d65b4] Enable python-support. (Closes: #576837)
  * [5c7c089] Install .desktop and .pixmap files with .install.
      (Closes: #595683)
  * [5c7c089] Switch hardcoded install of python-files to more
      reliable dh_python2. (Closes: #585267)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 26 Jul 2011 00:37:47 +0200

paraview (3.8.1-3) unstable; urgency=low

  * Fix compilation with FFMPEG (Closes: #614471)
  * Package contains final 3.8.1 source (Closes: #611840)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 25 Feb 2011 14:32:09 +0100

paraview (3.8.1-2) unstable; urgency=low

  * Team upload
  * Fix a merge error in the description of the package. (Closes: #600993)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Oct 2010 20:23:33 +0200

paraview (3.8.1-1) unstable; urgency=low

  * New upstream: 3.8.1. Closes: #591137
  * Do not install system lib (ffmpeg, qt)
  * Update Standard-Version: 3.9.1 (no change required)
  * Some debian/rules cleanups

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 30 Jul 2010 11:56:30 +0200

paraview (3.8.0-1) unstable; urgency=low

  * New upstream
  * Update debian control to 3.9.0

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 05 Jul 2010 17:05:12 +0200

paraview (3.6.2-5) unstable; urgency=low

  * Building MySQL and PostreSQL for consistency with VTK
    This will be needed for OverView
  * Fix watch file to only check release (even number).
  * Fix compilation on armel. Closes: #587712
  * Use virtual package for jpeg, tiff, png & expat

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 01 Jul 2010 04:33:09 +0200

paraview (3.6.2-4) unstable; urgency=low

  * Adding myself to maintainers.
  * Fix FTBFS with boost 1.42. Closes: #580974
  * Fix vtkPVPluginInit.cxx.in installation. Closes: #580959
  * Fix lintian issue with deprecated manpages.
  * Fix path to pqClientDocFinder.txt. Closes: #544665
  * Fix min version for libhdf5-serial-dev. Closes: #581014
  * Fix plugin path. Closes: #537169
  * Fix vtkWrapClientServer installation. Closes: #581017

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 10 May 2010 15:41:21 +0200

paraview (3.6.2-3) unstable; urgency=low

  * Package migrated to Debian Science
  * Standards-Version updated to version 3.8.4
  * postrm-has-useless-call-to-ldconfig postinst-has-useless-call-to-ldconfig
    warning removed
  * XS-DM-Upload-Allowed removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 16 Mar 2010 15:35:02 +0100

paraview (3.6.2-2) unstable; urgency=low

  [Konstantinos Poulios]
  * Add .desktop file and mimetype file

  [Christophe Prud'homme]
  * update mimetype file with ensight case files
  * Bug fix: "[paraview] saving to png kills paraview", thanks to Ondrej
    Certik (Closes: #492869).
  * Bug fix: "[paraview] paraview sometimes kills xserver", thanks to
    Ondrej Certik (Closes: #494126).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 31 Jan 2010 11:59:37 +0100

paraview (3.6.2-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release
  * debian/control: updated Standards-Version to 3.8.3 (no changes)
  * added patch to fix build for hdf5
  * Bug fix: "Package is uninstallable", thanks to Boris Pek (Closes:
    #558329).
  * Bug fix: "CVE-2009-3560 and CVE-2009-3720 denial-of-services", thanks
    to Michael Gilbert (Closes: #560935).
  * Bug fix: "Paraview 3.6.1 update", thanks to Mathieu Malaterre (Closes:
    #549211).
  * Bug fix: "patch for NMU 3.4.0-4.1", thanks to Francesco P. Lovergine
    (Closes: #550407).
  * Bug fix: "Updating the paraview Maintainer/Uploaders list", thanks to
    Sandro Tosi (Closes: #550415).

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 14 Jan 2010 10:23:56 +0100

paraview (3.4.0-4) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: The Debian packaging files are now maintained through
    a Git repository at alioth.debian.org.  Switch the Vcs-* URLs to Git,
    accordingly.

  [ Christophe Prud'homme ]
  * debian/control: update Standards-Version to 3.8.1 (no change)
  * debian/{compat,control}: increase dh compat to 7
  * Fixes "undeclared conflicts with python-vtk" thanks to S Robbins (Closes: #516689).
  * Bug fix: "doesn&#39;t build from deb package", thanks to Gerber van
    der Graaf (Closes: #528640).
  * Bug fix: "paraview fails to build with some QT lib 4.x versions",
    thanks to Andres E. Rodriguez Lazo (Closes: #529632).

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 21 May 2009 07:25:30 +0200

paraview (3.4.0-3) unstable; urgency=low

  * debian/control: build-depends on mpi-default-dev, paraview depends on
    mpi-default instead of openmpi
  * debian/patches/use-ffmpeg-swscaler.patch: update patch with changes in
    header location
  * Bug fix: "&#39;class vtkFFMPEGWriterInternal&#39; has no member named
    &#39;rgbInput&#39;", thanks to Adeodato Simó (Closes: #517763).
  * Bug fix: "No such file or directory", thanks to Kurt Roeckx (Closes:
    #518232).

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 05 Mar 2009 21:53:21 +0100

paraview (3.4.0-2) unstable; urgency=low

  * applied patch from Nick Ellery <nick.ellery@ubuntu.com> :
     - Use swscaler from ffmpeg rather than img_convert;
     - Add libswscale-dev to Build-Depends.
  * debian/control: added qt4-dev-tools to Build-Depends

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 22 Feb 2009 12:29:56 +0100

paraview (3.4.0-1) unstable; urgency=low

  * New upstream release: here is the list of new features
    - Added support for plotting multiple point/cell values over time.
    - Save screenshot now allows saving of all views.
    - It is not possible to save higher resolution screenshots.
    - Added support for picking end*points of lines widgets (used in plot
      over line and streamlines) using 'p'.
    - Added support for scene exporters. Supported formats are X3D (binary
      and ascii), VRML 2 and POV (Persistence of Vision Raytracer).  - Added
      ability to open multiple CTH and Exodus restart files.  - Added
      temporal statistics filter that can be used to find average, min, max
      and standard deviation of arrays over time.
    - Added support for choosing (picking) custom center of rotation.
    - Added volume rendering support for multi*block datasets. The user now
      chooses which block to volume render.
    - Added filter to append all blocks of a multi*block dataset to one
      unstructured grid. Can be used to volume render the whole multi*block
      dataset.
    - Added support to color by block.
    - Added 2D views / slice representation for volumes (vtkImageData).
    - Added box and sphere widgets for slicing and clipping.
    - Added cube axes that can be used to show scale of a dataset.
    - Added support to color by AMR level.
    - Added support to turn on/off the visibility of multiple objects.
      Select multiple objects in the pipeline browser and click on one of
      the eyeballs.
    - Added multiple selection using ctrl (command on Mac). When
      performing selection after the first time, hold ctrl to add to the
      existing selection.
    - Added "Normal Glyphs" custom filter.
    - Added "zoom" to individual arrays in the spreadsheet view.
      Double*click on the title*bar to activate/deactivate.
    - Added support for displaying textures on polygonal data.

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 17 Oct 2008 17:47:41 +0200

paraview (3.2.3-4) unstable; urgency=low

  [ Christophe Prud'homme ]
  * debian/control: depends on qt4-dev-tools to ensure that the help is
    available

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 10 Sep 2008 06:53:28 +0200

paraview (3.2.3-3) unstable; urgency=low

  [ Ondrej Certik ]
  * Build-Depend on libavformat-dev (>= 0.svn20080206-1). (Closes: #495822)

  [ Christophe Prud'homme ]
  * Bug fix: "paraview_3.2.3-2(sparc/unstable): FTBFS on sparc, bus error" (Closes: #494031)

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 26 Aug 2008 15:29:02 +0200

paraview (3.2.3-2) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/rules: enable hdf5 with parallel support
  * debian/rules: enable documentation and examples
  * debian/control: added libxext-dev to fix QT_X11_Xext_LIBRARY not set properly
  * Bug fix: "paraview: Help->Help doesn't work", thanks to Thomas
    Weber (Closes: #488671).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 01 Aug 2008 23:39:13 +0200

paraview (3.2.3-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release
  * attempt to fix vtkFFMPEGWriter (0x9d62518): Error initializing
    video stream.
  * cmake 2.6 patch removed, applied upstream

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 29 Jul 2008 14:03:01 +0200

paraview (3.2.2-1) unstable; urgency=low

  [ Ondrej Certik ]
  * Upload to unstable (Closes: #462631)
  * New upstream release
  * debian/patches updated to the 3.2.2 source code
  * cmake2.6.patch added to configure well with cmake2.6
  * libglu1-mesa-dev and libxt-dev added to Build-Depends
  * gcc4.3.patch added with fixes to compile with gcc 4.3
  * Standards-Version bumped to 3.8.0 (no action needed)
  * debian/rules: python 2.4 changed to 2.5
  * README.Debian updated to python2.5
  * lintian override for binary-or-shlib-defines-rpath added

  [Christophe Prud'homme]
  * added paraview manapage by Gerber van der Graaf
  * -DMPI_EXTRA_LIBRARY="/usr/lib/libmpi++.so" added
  * added and install manpages to all binaries

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 15 Jun 2008 22:04:41 +0200

paraview (3.2.1-1) UNRELEASED; urgency=low

  [ Ondrej Certik ]
  * Initial Debian packaging
  * XS-Vcs-Svn and XS-Vcs-Browser fields added
  * Python scripting fixed
  * Build against Python 2.4
  * /usr/lib/paraview/doc directory removed
  * /usr/bin/vtkWrapPythonInit removed
  * /usr/bin/vtkWrapPython removed

  [ Christophe Prud'homme ]
  * debian/copyright: added all the copyrights and licenses
  * debian/{rules,control}: use cdbs
  * debian/{rules,control}: depends on ffmpeg encoder
  * debian/{rules,control}: depends on python2.5
  * debian/{rules,control}: depends on openmpi
  * debian/rules: enable shared libs and reduce package size tremendously
  * debian/rules: set the installation directories
  * debian/{rules, patches/configure.patch} applied patch for Qt4.4 by
    Gerber van der Graaf <gerber.vdgraaf@gmail.com>.

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 17 May 2008 08:58:58 +0200
